bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Bash-5.0 Official patch 7


From: Chet Ramey
Subject: Re: Bash-5.0 Official patch 7
Date: Mon, 22 Apr 2019 16:28:58 -0400
User-agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0) Gecko/20100101 Thunderbird/60.6.1

On 4/22/19 1:54 PM, Vladimir Marek wrote:

> Bash is one of the components we follow closely, so I'll be filing
> internal bugs to update to latest patch level tomorrow. The Makefile
> lists requirements
> 
> REQUIRED_PACKAGES += library/ncurses
> REQUIRED_PACKAGES += shell/ksh93
> REQUIRED_PACKAGES += terminal/screen
> 
> screen is needed for testing only (as the tests can be executed remotely
> without having real terminal available). 

Why do you require ksh93? Is there an included shell script that requires
it?


> Bash uses configure.mk build style
> 
> https://github.com/oracle/solaris-userland/blob/master/make-rules/configure.mk

None of these are required unless you want to change the included configure
script. I do prefer GNU make, though it's not required.

> Which lists more dependencies
> 
> REQUIRED_PACKAGES += developer/build/autoconf
> REQUIRED_PACKAGES += developer/build/automake
> REQUIRED_PACKAGES += developer/build/gnu-make
> REQUIRED_PACKAGES += developer/build/libtool
> REQUIRED_PACKAGES += developer/build/pkg-config
> REQUIRED_PACKAGES += developer/macro/gnu-m4
> REQUIRED_PACKAGES += file/gnu-coreutils
> REQUIRED_PACKAGES += library/libtool/libltdl



-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
                 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, UTech, CWRU    address@hidden    http://tiswww.cwru.edu/~chet/



reply via email to

[Prev in Thread] Current Thread [Next in Thread]